import React from 'react';
import { storiesOf } from '@storybook/react';
import { withInfo } from '@storybook/addon-info';
import { withNotes } from '@storybook/addon-notes';
import * as knobs from '@storybook/addon-knobs/react';
import AnueNavigator from '../index';
import defaultNotes from './AnueNavigator.md';
import styles from './stories.style.scss';

const stories = storiesOf('AnueNavigator', module);

stories.addDecorator(knobs.withKnobs);
stories.addDecorator(story => (
  <div className={styles.wrapper}>
    {story()}
    <div className={styles.container}>
      <div className={styles.content}>
        Mac 環境下，可透過 `Shift + Command + F` 切換成全螢幕模式檢視，會比較貼近真實情況
      </div>
    </div>
  </div>
));

stories.add(
  '預設',
  withNotes(defaultNotes)(
    withInfo()(() => {
      return <AnueNavigator apiEnv="beta" />;
    })
  )
);
